Calls
List call sessions for tenant history
GET
/
v1
/
calls
/
sessions
List call sessions for tenant history
curl --request GET \
--url https://api.wazapin.com/v1/calls/sessionsconst options = {method: 'GET'};
fetch('https://api.wazapin.com/v1/calls/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.wazapin.com/v1/calls/sessions"
response = requests.get(url)
print(response.text){
"items": [
{
"call_id": "<string>",
"channel_id": "<string>",
"created_at": "<string>",
"direction": "<string>",
"duration_seconds": 123,
"status": "<string>",
"conversation_id": "<string>",
"ended_at": "<string>",
"from_number": "<string>",
"id": "<string>",
"started_at": "<string>",
"to_number": "<string>"
}
],
"total": 123
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}Query Parameters
Required range:
1 <= x <= 100Required range:
x >= 0Available options:
USER_INITIATED, BUSINESS_INITIATED ⌘I
List call sessions for tenant history
curl --request GET \
--url https://api.wazapin.com/v1/calls/sessionsconst options = {method: 'GET'};
fetch('https://api.wazapin.com/v1/calls/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.wazapin.com/v1/calls/sessions"
response = requests.get(url)
print(response.text){
"items": [
{
"call_id": "<string>",
"channel_id": "<string>",
"created_at": "<string>",
"direction": "<string>",
"duration_seconds": 123,
"status": "<string>",
"conversation_id": "<string>",
"ended_at": "<string>",
"from_number": "<string>",
"id": "<string>",
"started_at": "<string>",
"to_number": "<string>"
}
],
"total": 123
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}